package com.uca.dao;

import com.uca.core.*;
import com.uca.dao.*;
import com.uca.entity.*;
import java.sql.*;

public class _Initializer {

    public static void DropTable(String name)
    {
        try {
            _Connector.getInstance().prepareStatement("DROP TABLE "+name+";").executeUpdate();
        } catch (Exception e){
            System.out.println(e.toString());
            throw new RuntimeException("could not drop table: "+name);
        }
    }

    public static void CreateTable(String command)
    {
        try {
            PreparedStatement statement;

            //Init articles table
            _Connector.getInstance().prepareStatement(command).executeUpdate();
        } catch (Exception e){
            System.out.println(e.toString());
            throw new RuntimeException("could not create database: "+command);
        }
    }

    public static void Init(){
        DropTable("users");
        DropTable("profs");
        DropTable("eleves");
        DropTable("gommettes");
        CreateTable("CREATE TABLE IF NOT EXISTS users (id int primary key auto_increment, firstname varchar(100), lastname varchar(100));");
        CreateTable("CREATE TABLE IF NOT EXISTS profs (id int primary key auto_increment, firstname varchar(100), lastname varchar(100), username  varchar(100), password varchar(100));");
        CreateTable("CREATE TABLE IF NOT EXISTS eleves (id int primary key auto_increment, firstname varchar(100), lastname varchar(100), nomClasse varchar(100), dateNaissance DATE);");
        CreateTable("CREATE TABLE IF NOT EXISTS gommettes (id int primary key auto_increment, nom varchar(100), description varchar(100), couleur varchar(100));");
        CreateTable("CREATE TABLE IF NOT EXISTS gommetteAttribs (id int primary key auto_increment, idEleve int, idProf int, raison varchar(500));");


        UserEntity e = Core.User.create("Le père de toto", "pas toto");
        Core.User.create("Jean", "Némar");
        Core.User.create("Paul", "Hisse");
        Core.User.create("Kelly", "Diote");
        Core.User.create("Alain", "Térieur");
        Core.User.create("Matt", "Lecul");
        Core.User.create("Lorie", "Fice");
        Core.User.create("Sacha", "Touille");
        Core.User.create("Terry", "Golo");
        Core.User.create("Judas", "Nanas");

        Core.Prof.create("Boris", "OUYA", "DaWarudo","KonoDioDa!");
        Core.Prof.create("Thomas", "TAMAGNAUD", "CéMoiLul","BlockusMaster");

        //Core.Eleve.create("Bibi","Johnson","23/10/2018","Zarbi");

        Core.Gommette.create("Brave Petit",Couleur.Vert,"S'est montré obéissant devant le prêtre");
    }
}
